List Transactions
curl --request GET \
--url https://api.ecrypt.com/v1/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.ecrypt.com/v1/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ecrypt.com/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"totalRecords": 123,
"currentPage": 123,
"totalPages": 123,
"pageSize": 123
},
"items": [
{
"transactionId": 123,
"type": "<string>",
"tender": "<string>",
"paymentName": "<string>",
"paymentNetwork": "<string>",
"paymentAccount": "<string>",
"paymentAccountExpiry": "<string>",
"amount": 123,
"authorizationAmount": 123,
"capturedAmount": 123,
"gratuityAmount": 123,
"surchargeAmount": 123,
"settlementAmount": 123,
"voidedAmount": 123,
"referenceTransactionId": 123,
"approvalCode": "<string>",
"avsCode": "<string>",
"cvvCode": "<string>",
"enhanced": true,
"status": "<string>",
"created": "2023-11-07T05:31:56Z"
}
]
}{
"requestId": "000000000000000000000",
"errors": [
{
"type": "<string>",
"message": "<unknown>"
}
]
}Transactions
List Transactions
Get a list of ACTIVE customers from your vault. The default sort order is CREATED DATE DESCENDING.
GET
/
v1
/
transactions
List Transactions
Authorizations
Authorization by x-api-key inside request's header
Query Parameters
Page of results being requested.
Default: 1
Required range:
1 <= x <= 2147483647Example:
1
Size of the page of results being requested.
Default: 100
Required range:
1 <= x <= 100Example:
100
⌘I